Create a workspace API key
curl --request POST \
--url https://api.example.com/workspaces/{workspaceId}/api-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "agent-prod",
"description": "Production key for autonomous portfolio research agent",
"scopes": [
"workspace_read",
"system_strategies_read",
"strategies_read",
"strategies_write",
"backtests_read",
"backtests_write"
],
"expiresAt": "2026-12-31T23:59:59.000Z"
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/api-keys"
payload = {
"name": "agent-prod",
"description": "Production key for autonomous portfolio research agent",
"scopes": ["workspace_read", "system_strategies_read", "strategies_read", "strategies_write", "backtests_read", "backtests_write"],
"expiresAt": "2026-12-31T23:59:59.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'agent-prod',
description: 'Production key for autonomous portfolio research agent',
scopes: [
'workspace_read',
'system_strategies_read',
'strategies_read',
'strategies_write',
'backtests_read',
'backtests_write'
],
expiresAt: '2026-12-31T23:59:59.000Z'
})
};
fetch('https://api.example.com/workspaces/{workspaceId}/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
API Keys
Create a workspace API key
Creates a new workspace-scoped API key for public agent API access.
POST
/
workspaces
/
{workspaceId}
/
api-keys
Create a workspace API key
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
100Example:
"agent-prod"
Maximum string length:
500Example:
"Production key for autonomous portfolio research agent"
Available options:
workspace_read, system_strategies_read, strategies_read, strategies_write, backtests_read, backtests_write Example:
[ "workspace_read", "system_strategies_read", "strategies_read", "strategies_write", "backtests_read", "backtests_write" ]
Example:
"2026-12-31T23:59:59.000Z"
Response
201
API key created. Plaintext apiKey is returned once.
⌘I